Neidio i'r cynnwys

Virtual Try-on

Integreiddio

ID y model image-apps-v2/virtual-try-on
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/image-apps-v2/virtual-try-on?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "person_image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "clothing_image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Y cais hwn: $0.04 40 o gredydau API · ≈ ₽4.19 Ei redeg ar y dudalen hon

Cael allwedd API
Utility · Delwedd

Mae eich canlyniad cyntaf yn mynd yma

Adeiladwch gais isod a'i redeg gyda'ch allwedd API. Mae allbynnau'n cael eu copïo i'n storio, wedi'u cadw am byth neu am 7 diwrnod am ddim.

Adeiladu cais

Cynhyrchir rheolyddion o sgema'r model. Mae'r cod a'r pris yn diweddaru wrth i chi eu newid.

•gofynnol
Gollyngwch ffeil, neu

URL ffotograff sy'n dangos y person.

•gofynnol
Gollyngwch ffeil, neu

URL sy'n pwyntio at ffotograff o ddillad.

Cymhareb agwedd allbwn ar gydraniad 4K; y rhagosodiad ar gyfer delweddau ffasiwn yw 3:4.

Uwch preserve_pose
POST /run/image-apps-v2/virtual-try-on?wait=20 dyfynbris → $0.04
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/image-apps-v2/virtual-try-on?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "person_image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "clothing_image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Rhedeg y cais hwn

Mae'ch allwedd yn aros yn y porwr hwn: caiff ei hanfon at Doitong API yn unig a'i chadw (localStorage) dim ond os ticiwch Cofio. Cael allwedd API

Ynglŷn â Virtual Try-on

Yn derbyn llun person (`person_image_url`) a llun dilledyn (`clothing_image_url`) ac yn dangos y person yn gwisgo'r dillad. Mae `preserve_pose` ymlaen yn ddiofyn i gadw'r ystum gwreiddiol. Mae `aspect_ratio` yn gosod ffrâm yr allbwn, gyda 3:4 wedi'i nodi fel y diofyn ar gyfer ffasiwn.

Paramedrau

EnwMath RhagosodedigCaniateir Disgrifiad
person_image_urlgofynnol
Mathurl · image
URL ffotograff sy'n dangos y person.
clothing_image_urlgofynnol
Mathurl · image
URL sy'n pwyntio at ffotograff o ddillad.
preserve_posedewisol
Mathboolean
Rhagosodedigtrue
aspect_ratiodewisol
Mathobject
Cymhareb agwedd allbwn ar gydraniad 4K; y rhagosodiad ar gyfer delweddau ffasiwn yw 3:4.
aspect_ratio.ratiodewisol
Mathenum
Rhagosodedig1:1
1:116:99:164:33:4
Cymhareb agwedd allbwn ar gydraniad 4K.
gofynnol

Mae paramedrau ffeil yn derbyn URL cyhoeddus https://, URI data: hyd at 10 MB, neu file_url uwchlwythiad. Ffeiliau

Allbwn

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "image-apps-v2/virtual-try-on",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 40,
    "usd": "0.04",
    "charged": 40,
    "refunded": 0
  },
  "input": {
    "person_image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "clothing_image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200,
        "width": 1024,
        "height": 768
      }
    ]
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
Eich ffeiliau, eich dewisMae pob outputs[].url yn gopi ar ein storio: wedi'i gadw am byth (telir fesul GB-mis) neu am 7 diwrnod am ddim, yn ôl gosodiad eich cyfrif neu ?storage=.
Yr un siâp ar bob modeltype, url, content_type, width, height a duration, ar gyfer delweddau, fideo a sain fel ei gilydd. Gwrthrych canlyniad y model ei hun yw output.
Meysydd yr allbwn
images
array of object {url, content_type, file_name, file_size, width, height}Delwedd sy'n dangos person wedi'i wisgo'n rhithwir yn y dillad.

Mwy o fodelau: Golygu Delweddau

Ar gyfer asiantau AI: mae'r dudalen hon fel Markdown ar gael yn https://doitong.com/cy/developers/models/image-apps-v2/virtual-try-on.md. Pob model a chanllaw: https://doitong.com/developers/llms.txt